#include "Bass.au3"

HotKeySet("{Esc}", "_Exit")

_BASS_Startup(@ScriptDir & "\bass.dll")
_BASS_Init(0, -1, 44100, 0)

$Pfad = FileSelectFolder("", "")
;$Pfad = @UserProfileDir & "\Music\MP3's\" ; anpassen!
Global $Array = Array_GetFolderFiles($Pfad)
Global $Line, $Stream
Wiedergabe()

While 1
	If _BASS_ChannelIsActive($Stream) = "0" Then
		_Bass_ChannelStop($Stream)
		_BASS_StreamFree($Stream)
		Wiedergabe()
	EndIf
	Sleep(10)
Wend

Func Array_GetFolderFiles($sPath)
    $oFSO = ObjCreate("Scripting.FileSystemObject")
    $sFiles = ""
	For $sFile In $oFSO.GetFolder($sPath).Files
		If StringRight($sFile.Path, 4) = ".mp3" or StringRight($sFile.Path, 4) = ".wav" Then $sFiles &= $sFile.Path & "|"
	Next
	Return StringSplit(StringTrimRight($sFiles, 1), "|")
EndFunc

Func Wiedergabe()
	$Line = Random(1, $Array[0], 1)
	$Stream = _BASS_StreamCreateFile(0, $Array[$Line], 0, 0, 0)
	_BASS_ChannelPlay($Stream, 1)
	_BASS_ChannelSetVolume($Stream, 50)
EndFunc

Func _Exit()
	_Bass_ChannelStop($Stream)
	_BASS_StreamFree($Stream)
	_BASS_Free()
	Exit
EndFunc